igeo

## Class ITrajectoryGeo

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.ITrajectoryGeo

- All Implemented Interfaces:
    IDynamics, ISubobject, ITrajectoryI

      public class ITrajectoryGeo
      extends IDynamicsBase
      implements ITrajectoryI

  IDyanmics class to have trajectory curve object. In every update, specified vector position is added to the trajectory curve.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ICurve` | `curve`
    `int` | `degree`
    `IVecI` | `pos`

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITrajectoryGeo(IObject obj, IVecI pos)`
    `ITrajectoryGeo(IObject obj, IVecI pos, int curveDegree)`
    `ITrajectoryGeo(IPointAgent agent)`
    `ITrajectoryGeo(IPointAgent agent, int curveDegree)`
    `ITrajectoryGeo(ITrajectoryGeo traj)`
    `ITrajectoryGeo(IVecI pos)`
    `ITrajectoryGeo(IVecI pos, int curveDegree)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITrajectoryGeo` | `addCP(IVecI pt)` add a point at the end of trajectory curve
    `ITrajectoryGeo` | `clr(double dgray)`
    `ITrajectoryGeo` | `clr(double dgray, double dalpha)`
    `ITrajectoryGeo` | `clr(double dr, double dg, double db)`
    `ITrajectoryGeo` | `clr(double dr, double dg, double db, double da)`
    `ITrajectoryGeo` | `clr(float fgray)`
    `ITrajectoryGeo` | `clr(float fgray, float falpha)`
    `ITrajectoryGeo` | `clr(float fr, float fg, float fb)`
    `ITrajectoryGeo` | `clr(float fr, float fg, float fb, float fa)`
    `ITrajectoryGeo` | `clr(IColor c)`
    `ITrajectoryGeo` | `clr(IColor c, double alpha)`
    `ITrajectoryGeo` | `clr(IColor c, float alpha)`
    `ITrajectoryGeo` | `clr(IColor c, int alpha)`
    `ITrajectoryGeo` | `clr(int gray)`
    `ITrajectoryGeo` | `clr(int gray, int alpha)`
    `ITrajectoryGeo` | `clr(int r, int g, int b)`
    `ITrajectoryGeo` | `clr(int r, int g, int b, int a)`
    `ITrajectoryGeo` | `clr(IObject o)`
    `ICurve` | `curve()` returns trajectory curve object
    `int` | `deg()`
    `ITrajectoryGeo` | `deg(int deg)`
    `void` | `del()`
    `void` | `hide()`
    `ITrajectoryGeo` | `hsb(double h, double s, double b)`
    `ITrajectoryGeo` | `hsb(double h, double s, double b, double a)`
    `ITrajectoryGeo` | `hsb(float h, float s, float b)`
    `ITrajectoryGeo` | `hsb(float h, float s, float b, float a)`
    `void` | `initTrajectory()`
    `ITrajectoryGeo` | `setColor(double dgray)`
    `ITrajectoryGeo` | `setColor(double dgray, double dalpha)`
    `ITrajectoryGeo` | `setColor(double dr, double dg, double db)`
    `ITrajectoryGeo` | `setColor(double dr, double dg, double db, double da)`
    `ITrajectoryGeo` | `setColor(float fgray)`
    `ITrajectoryGeo` | `setColor(float fgray, float falpha)`
    `ITrajectoryGeo` | `setColor(float fr, float fg, float fb)`
    `ITrajectoryGeo` | `setColor(float fr, float fg, float fb, float fa)`
    `ITrajectoryGeo` | `setColor(IColor c)`
    `ITrajectoryGeo` | `setColor(IColor c, double alpha)`
    `ITrajectoryGeo` | `setColor(IColor c, float alpha)`
    `ITrajectoryGeo` | `setColor(IColor c, int alpha)`
    `ITrajectoryGeo` | `setColor(int gray)`
    `ITrajectoryGeo` | `setColor(int gray, int alpha)`
    `ITrajectoryGeo` | `setColor(int r, int g, int b)`
    `ITrajectoryGeo` | `setColor(int r, int g, int b, int a)`
    `ITrajectoryGeo` | `setHSBColor(double h, double s, double b)`
    `ITrajectoryGeo` | `setHSBColor(double h, double s, double b, double a)`
    `ITrajectoryGeo` | `setHSBColor(float h, float s, float b)`
    `ITrajectoryGeo` | `setHSBColor(float h, float s, float b, float a)`
    `void` | `show()`
    `ICurve` | `trajectory()` alias of curve()
    `void` | `update()` behavior definition of updating dynamics in each time frame
    `ITrajectoryGeo` | `weight(double w)`
    `ITrajectoryGeo` | `weight(float w)`

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### degree

          public int degree

    - #### curve

          public ICurve curve

    - #### pos

          public IVecI pos

  - ### Constructor Detail

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IVecI pos)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IVecI pos,
                                int curveDegree)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IObject obj,
                                IVecI pos)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IObject obj,
                                IVecI pos,
                                int curveDegree)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IPointAgent agent)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(IPointAgent agent,
                                int curveDegree)

    - #### ITrajectoryGeo

          public ITrajectoryGeo(ITrajectoryGeo traj)

  - ### Method Detail

    - #### initTrajectory

          public void initTrajectory()

    - #### deg

          public int deg()

    - #### deg

          public ITrajectoryGeo deg(int deg)

    - #### hide

          public void hide()

    - #### show

          public void show()

    - #### del

          public void del()

    - #### curve

          public ICurve curve()

      Description copied from interface: `ITrajectoryI`
      returns trajectory curve object
      Specified by:
        `curve` in interface `ITrajectoryI`

    - #### trajectory

          public ICurve trajectory()

      Description copied from interface: `ITrajectoryI`
      alias of curve()
      Specified by:
        `trajectory` in interface `ITrajectoryI`

    - #### addCP

          public ITrajectoryGeo addCP(IVecI pt)

      add a point at the end of trajectory curve
      Specified by:
        `addCP` in interface `ITrajectoryI`

    - #### update

          public void update()

      Description copied from class: `IDynamicsBase`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IDynamicsBase`

    - #### clr

          public ITrajectoryGeo clr(IColor c)

    - #### clr

          public ITrajectoryGeo clr(IColor c,
                                    int alpha)

    - #### clr

          public ITrajectoryGeo clr(IColor c,
                                    float alpha)

    - #### clr

          public ITrajectoryGeo clr(IColor c,
                                    double alpha)

    - #### clr

          public ITrajectoryGeo clr(IObject o)

    - #### clr

          public ITrajectoryGeo clr(int gray)

    - #### clr

          public ITrajectoryGeo clr(float fgray)

    - #### clr

          public ITrajectoryGeo clr(double dgray)

    - #### clr

          public ITrajectoryGeo clr(int gray,
                                    int alpha)

    - #### clr

          public ITrajectoryGeo clr(float fgray,
                                    float falpha)

    - #### clr

          public ITrajectoryGeo clr(double dgray,
                                    double dalpha)

    - #### clr

          public ITrajectoryGeo clr(int r,
                                    int g,
                                    int b)

    - #### clr

          public ITrajectoryGeo clr(float fr,
                                    float fg,
                                    float fb)

    - #### clr

          public ITrajectoryGeo clr(double dr,
                                    double dg,
                                    double db)

    - #### clr

          public ITrajectoryGeo clr(int r,
                                    int g,
                                    int b,
                                    int a)

    - #### clr

          public ITrajectoryGeo clr(float fr,
                                    float fg,
                                    float fb,
                                    float fa)

    - #### clr

          public ITrajectoryGeo clr(double dr,
                                    double dg,
                                    double db,
                                    double da)

    - #### hsb

          public ITrajectoryGeo hsb(float h,
                                    float s,
                                    float b,
                                    float a)

    - #### hsb

          public ITrajectoryGeo hsb(double h,
                                    double s,
                                    double b,
                                    double a)

    - #### hsb

          public ITrajectoryGeo hsb(float h,
                                    float s,
                                    float b)

    - #### hsb

          public ITrajectoryGeo hsb(double h,
                                    double s,
                                    double b)

    - #### setColor

          public ITrajectoryGeo setColor(IColor c)

    - #### setColor

          public ITrajectoryGeo setColor(IColor c,
                                         int alpha)

    - #### setColor

          public ITrajectoryGeo setColor(IColor c,
                                         float alpha)

    - #### setColor

          public ITrajectoryGeo setColor(IColor c,
                                         double alpha)

    - #### setColor

          public ITrajectoryGeo setColor(int gray)

    - #### setColor

          public ITrajectoryGeo setColor(float fgray)

    - #### setColor

          public ITrajectoryGeo setColor(double dgray)

    - #### setColor

          public ITrajectoryGeo setColor(int gray,
                                         int alpha)

    - #### setColor

          public ITrajectoryGeo setColor(float fgray,
                                         float falpha)

    - #### setColor

          public ITrajectoryGeo setColor(double dgray,
                                         double dalpha)

    - #### setColor

          public ITrajectoryGeo setColor(int r,
                                         int g,
                                         int b)

    - #### setColor

          public ITrajectoryGeo setColor(float fr,
                                         float fg,
                                         float fb)

    - #### setColor

          public ITrajectoryGeo setColor(double dr,
                                         double dg,
                                         double db)

    - #### setColor

          public ITrajectoryGeo setColor(int r,
                                         int g,
                                         int b,
                                         int a)

    - #### setColor

          public ITrajectoryGeo setColor(float fr,
                                         float fg,
                                         float fb,
                                         float fa)

    - #### setColor

          public ITrajectoryGeo setColor(double dr,
                                         double dg,
                                         double db,
                                         double da)

    - #### setHSBColor

          public ITrajectoryGeo setHSBColor(float h,
                                            float s,
                                            float b,
                                            float a)

    - #### setHSBColor

          public ITrajectoryGeo setHSBColor(double h,
                                            double s,
                                            double b,
                                            double a)

    - #### setHSBColor

          public ITrajectoryGeo setHSBColor(float h,
                                            float s,
                                            float b)

    - #### setHSBColor

          public ITrajectoryGeo setHSBColor(double h,
                                            double s,
                                            double b)

    - #### weight

          public ITrajectoryGeo weight(double w)

    - #### weight

          public ITrajectoryGeo weight(float w)